import { BelongsToModule } from './_interfaces/belongs-to-module.interface';
import { BaseModel } from './base.model';
import { IBaseModule } from './_modules/base-module/base-module.interface';
export declare class BlogPost extends BaseModel implements BelongsToModule {
    title: string;
    slug: string;
    content: string;
    category_id: number;
    module_id: number;
    user_id: number;
    created_at: string;
    updated_at: string;
    module: IBaseModule;
    protected fillable: string[];
    static empty(): BlogPost;
    url(): string;
    constructor(json: any);
}
